devel/py-newt - The NetBSD Packages Collection

Windowing toolkit based on libslang2

Newt is a windowing toolkit for text mode built from the slang
library. It allows color text mode applications to easily use
stackable windows, push buttons, check boxes, radio buttons, lists,
entry fields, labels, and displayable text. Scrollbars are supported,
and forms may be nested to provide extra functionality.

Besides the newt library, this package provides whiptail, which may
be used from shell scripts similarly to Savio Lam's "dialog". Newt
provides the textual interface for the Red Hat and Debian boot
disks.

This package contains the python bindings for newt.

Build dependencies

devel/libtool-base pkgtools/mktools devel/automake devel/autoconf devel/gmake devel/pkgconf pkgtools/cwrappers

Runtime dependencies

devel/libslang2 devel/popt lang/tcl lang/python27 devel/libslang2 devel/popt lang/tcl lang/python27

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64py27-newt-0.52.16nb2.tgz
NetBSD 10.0aarch64py27-newt-0.52.16nb2.tgz
NetBSD 10.0earmv6hfpy27-newt-0.52.16nb2.tgz
NetBSD 10.0earmv6hfpy27-newt-0.52.16nb2.tgz
NetBSD 10.0earmv7hfpy27-newt-0.52.16nb2.tgz
NetBSD 10.0earmv7hfpy27-newt-0.52.16nb2.tgz
NetBSD 10.0i386py27-newt-0.52.16nb2.tgz
NetBSD 10.0powerpcpy27-newt-0.52.16nb2.tgz
NetBSD 10.0powerpcpy27-newt-0.52.16nb2.tgz
NetBSD 10.0x86_64py27-newt-0.52.16nb2.tgz
NetBSD 10.0x86_64py27-newt-0.52.16nb2.tgz
NetBSD 8.0i386py27-newt-0.52.16nb2.tgz
NetBSD 8.0i386py27-newt-0.52.16nb2.tgz
NetBSD 8.0powerpcpy27-newt-0.52.16nb2.tgz
NetBSD 8.0powerpcpy27-newt-0.52.16nb2.tgz
NetBSD 8.0powerpcpy27-newt-0.52.16nb2.tgz
NetBSD 8.0x86_64py27-newt-0.52.16nb2.tgz
NetBSD 8.0x86_64py27-newt-0.52.16nb2.tgz
NetBSD 9.0aarch64py27-newt-0.52.16nb2.tgz
NetBSD 9.0aarch64py27-newt-0.52.16nb2.tgz
NetBSD 9.0aarch64py27-newt-0.52.16nb2.tgz
NetBSD 9.0alphapy27-newt-0.52.16nb2.tgz
NetBSD 9.0alphapy27-newt-0.52.16nb2.tgz
NetBSD 9.0alphapy27-newt-0.52.16nb2.tgz
NetBSD 9.0alphapy27-newt-0.52.16nb2.tgz
NetBSD 9.0alphapy27-newt-0.52.16nb2.tgz
NetBSD 9.0earmpy27-newt-0.52.16nb2.tgz
NetBSD 9.0earmpy27-newt-0.52.16nb2.tgz
NetBSD 9.0earmpy27-newt-0.52.16nb2.tgz
NetBSD 9.0earmpy27-newt-0.52.16nb2.tgz
NetBSD 9.0earmv6hfpy27-newt-0.52.16nb2.tgz
NetBSD 9.0earmv6hfpy27-newt-0.52.16nb2.tgz
NetBSD 9.0earmv6hfpy27-newt-0.52.16nb2.tgz
NetBSD 9.0earmv7hfpy27-newt-0.52.16nb2.tgz
NetBSD 9.0earmv7hfpy27-newt-0.52.16nb2.tgz
NetBSD 9.0earmv7hfpy27-newt-0.52.16nb2.tgz
NetBSD 9.0i386py27-newt-0.52.16nb2.tgz
NetBSD 9.0i386py27-newt-0.52.16nb2.tgz
NetBSD 9.0i386py27-newt-0.52.16nb2.tgz
NetBSD 9.0m68kpy27-newt-0.52.16nb2.tgz
NetBSD 9.0m68kpy27-newt-0.52.16nb2.tgz
NetBSD 9.0mips64ebpy27-newt-0.52.16nb2.tgz
NetBSD 9.0mips64ebpy27-newt-0.52.16nb2.tgz
NetBSD 9.0mips64ebpy27-newt-0.52.16nb2.tgz
NetBSD 9.0mips64ebpy27-newt-0.52.16nb2.tgz
NetBSD 9.0mips64ebpy27-newt-0.52.16nb2.tgz
NetBSD 9.0powerpcpy27-newt-0.52.16nb2.tgz
NetBSD 9.0powerpcpy27-newt-0.52.16nb2.tgz
NetBSD 9.0powerpcpy27-newt-0.52.16nb2.tgz
NetBSD 9.0sparc64py27-newt-0.52.16nb2.tgz
NetBSD 9.0sparc64py27-newt-0.52.16nb2.tgz
NetBSD 9.0sparc64py27-newt-0.52.16nb2.tgz
NetBSD 9.0sparc64py27-newt-0.52.16nb2.tgz
NetBSD 9.0sparc64py27-newt-0.52.16nb2.tgz
NetBSD 9.0sparcpy27-newt-0.52.16nb2.tgz
NetBSD 9.0sparcpy27-newt-0.52.16nb2.tgz
NetBSD 9.0sparcpy27-newt-0.52.16nb2.tgz
NetBSD 9.0sparcpy27-newt-0.52.16nb2.tgz
NetBSD 9.0x86_64py27-newt-0.52.16nb2.tgz
NetBSD 9.0x86_64py27-newt-0.52.16nb2.tgz
NetBSD 9.0x86_64py27-newt-0.52.16nb2.tgz
NetBSD 9.0x86_64py27-newt-0.52.16nb2.tgz
NetBSD 9.0x86_64py27-newt-0.52.16nb2.tgz
NetBSD 9.99.96aarch64ebpy27-newt-0.52.16nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.